function utable(vars, kol1, kol2, kol3, brkat,sort, miss, color, decimal, ltperc, srtvl, base, value, labela, outz)
	if def(type) & size(type,1) 
		type=lcase(type(1));
	else
		error("Nije specificiran 'type' argument")
	end
	
	if ~def(vars);    vars    = [];  end
	if ~def(kol1);    kol1    = [];  end
	if ~def(kol2);    kol2    = [];  end
	if ~def(kol3);    kol3    = [];  end
	if ~def(sort);    sort    = "no";end
	if ~def(miss);    miss    = "no";end
	if ~def(outz);    outz    = "no";end		
	if ~def(color);   color   = [];  end
	if ~def(decimal); decimal = [];  end
	
	if     type=="simple"
		if ~def(ltperc); ltperc = [];end
		if ~def(srtvl); srtvl = [];end
		gentabU(vars, kol1, kol2, kol3, sort, miss, color, decimal, ltperc, srtvl, outz)
	elseif type=="multiple"
		if ~def(ltperc); ltperc = [];end
		if ~def(srtvl); srtvl = [];end
		gentabmU(vars, kol1, kol2, kol3, sort, miss, color, decimal, ltperc, srtvl, outz)
	elseif type=="binary"
		if ~def(base);   base   = [];end
		if ~def(value);  value  = [];end
		if ~def(labela); labela = "";end
		gentabmdU(vars, kol1, kol2, kol3, sort, color, decimal, base, value, labela, outz)
	elseif type=="marks"
		if ~def(brkat); brkat = [];  end
		gentaboU(vars, kol1, kol2, kol3, brkat, miss, color, decimal, outz)
	elseif type=="average"
		if ~def(labela); labela = "";end
		averageU(vars, kol1, kol2, kol3, sort, color, decimal, labela, outz)
	else
		error("Pogresno specificiran 'type' argument")
	end
end